﻿Attribute VB_Name = "modMSOutlook15_Enums"
Option Compare Database
Option Explicit

' **********************************************************************************************************
' Module:      	modMSOutlook15_Enums
' Author:      	Philipp Stiefel (phil@codekabinett.com)
' Purpose:     	Enums/Constants for Outlook Automation with Late Binding
' Further info: English: 		http://codekabinett.com/page.php?Theme=10&Lang=2#office-automation-constants-vba-module
' 				German/Deutsch:	http://codekabinett.com/page.php?Theme=10&Lang=1#office-automation-konstanten-vba-modul
' Usage rights: You are free to use this module in any of your applications free of charge, 
'				as long as this notice remains unchanged.
' **********************************************************************************************************

Public Enum OlMousePointer
	olMousePointerDefault = 0
	olMousePointerArrow = 1
	olMousePointerCross = 2
	olMousePointerIBeam = 3
	olMousePointerSizeNESW = 6
	olMousePointerSizeNS = 7
	olMousePointerSizeNWSE = 8
	olMousePointerSizeWE = 9
	olMousePointerUpArrow = 10
	olMousePointerHourGlass = 11
	olMousePointerNoDrop = 12
	olMousePointerAppStarting = 13
	olMousePointerHelp = 14
	olMousePointerSizeAll = 15
	olMousePointerCustom = 99
End Enum

Public Enum OlScrollBars
	olScrollBarsNone = 0
	olScrollBarsHorizontal = 1
	olScrollBarsVertical = 2
	olScrollBarsBoth = 3
End Enum

Public Enum OlBackStyle
	olBackStyleTransparent = 0
	olBackStyleOpaque = 1
End Enum

Public Enum OlBorderStyle
	olBorderStyleNone = 0
	olBorderStyleSingle = 1
End Enum

Public Enum OlEnterFieldBehavior
	olEnterFieldBehaviorSelectAll = 0
	olEnterFieldBehaviorRecallSelection = 1
End Enum

Public Enum OlDragBehavior
	olDragBehaviorDisabled = 0
	olDragBehaviorEnabled = 1
End Enum

Public Enum OlComboBoxStyle
	olComboBoxStyleCombo = 0
	olComboBoxStyleList = 2
End Enum

Public Enum OlAlignment
	olAlignmentLeft = 0
	olAlignmentRight = 1
End Enum

Public Enum OlMultiSelect
	olMultiSelectSingle = 0
	olMultiSelectMulti = 1
	olMultiSelectExtended = 2
End Enum

Public Enum OlTextAlign
	olTextAlignLeft = 1
	olTextAlignCenter = 2
	olTextAlignRight = 3
End Enum

Public Enum OlMatchEntry
	olMatchEntryFirstLetter = 0
	olMatchEntryComplete = 1
	olMatchEntryNone = 2
End Enum

Public Enum OlPageType
	olPageTypePlanner = 0
	olPageTypeTracker = 1
End Enum

Public Enum OlTimeStyle
	olTimeStyleTimeOnly = 0
	olTimeStyleTimeDuration = 1
	olTimeStyleShortDuration = 4
End Enum

Public Enum OlShiftState
	olShiftStateShiftMask = 1
	olShiftStateCtrlMask = 2
	olShiftStateAltMask = 4
End Enum

Public Enum OlMouseButton
	olMouseButtonLeft = 1
	olMouseButtonRight = 2
	olMouseButtonMiddle = 4
End Enum

Public Enum OlPictureAlignment
	olPictureAlignmentLeft = 0
	olPictureAlignmentTop = 1
End Enum

Public Enum OlAppointmentTimeField
	olAppointmentTimeFieldNone = 1
	olAppointmentTimeFieldStart = 2
	olAppointmentTimeFieldEnd = 3
End Enum

Public Enum OlHorizontalLayout
	olHorizontalLayoutAlignLeft = 0
	olHorizontalLayoutAlignCenter = 1
	olHorizontalLayoutAlignRight = 2
	olHorizontalLayoutGrow = 3
End Enum

Public Enum OlVerticalLayout
	olVerticalLayoutAlignTop = 0
	olVerticalLayoutAlignMiddle = 1
	olVerticalLayoutAlignBottom = 2
	olVerticalLayoutGrow = 3
End Enum

Public Enum OlObjectClass
	olApplication = 0
	olNamespace = 1
	olFolder = 2
	olRecipient = 4
	olAttachment = 5
	olAddressList = 7
	olAddressEntry = 8
	olFolders = 15
	olItems = 16
	olRecipients = 17
	olAttachments = 18
	olAddressLists = 20
	olAddressEntries = 21
	olAppointment = 26
	olMeetingRequest = 53
	olMeetingCancellation = 54
	olMeetingResponseNegative = 55
	olMeetingResponsePositive = 56
	olMeetingResponseTentative = 57
	olRecurrencePattern = 28
	olExceptions = 29
	olException = 30
	olAction = 32
	olActions = 33
	olExplorer = 34
	olInspector = 35
	olPages = 36
	olFormDescription = 37
	olUserProperties = 38
	olUserProperty = 39
	olContact = 40
	olDocument = 41
	olJournal = 42
	olMail = 43
	olNote = 44
	olPost = 45
	olReport = 46
	olRemote = 47
	olTask = 48
	olTaskRequest = 49
	olTaskRequestUpdate = 50
	olTaskRequestAccept = 51
	olTaskRequestDecline = 52
	olExplorers = 60
	olInspectors = 61
	olPanes = 62
	olOutlookBarPane = 63
	olOutlookBarStorage = 64
	olOutlookBarGroups = 65
	olOutlookBarGroup = 66
	olOutlookBarShortcuts = 67
	olOutlookBarShortcut = 68
	olDistributionList = 69
	olPropertyPageSite = 70
	olPropertyPages = 71
	olSyncObject = 72
	olSyncObjects = 73
	olSelection = 74
	olLink = 75
	olLinks = 76
	olSearch = 77
	olResults = 78
	olViews = 79
	olView = 80
	olItemProperties = 98
	olItemProperty = 99
	olReminders = 100
	olReminder = 101
	olConflict = 102
	olConflicts = 103
	olSharing = 104
	olAccount = 105
	olAccounts = 106
	olStore = 107
	olStores = 108
	olSelectNamesDialog = 109
	olExchangeUser = 110
	olExchangeDistributionList = 111
	olPropertyAccessor = 112
	olStorageItem = 113
	olRules = 114
	olRule = 115
	olRuleActions = 116
	olRuleAction = 117
	olMoveOrCopyRuleAction = 118
	olSendRuleAction = 119
	olTable = 120
	olRow = 121
	olAssignToCategoryRuleAction = 122
	olPlaySoundRuleAction = 123
	olMarkAsTaskRuleAction = 124
	olNewItemAlertRuleAction = 125
	olRuleConditions = 126
	olRuleCondition = 127
	olImportanceRuleCondition = 128
	olFormRegion = 129
	olCategoryRuleCondition = 130
	olFormNameRuleCondition = 131
	olFromRuleCondition = 132
	olSenderInAddressListRuleCondition = 133
	olTextRuleCondition = 134
	olAccountRuleCondition = 135
	olClassTableView = 136
	olClassIconView = 137
	olClassCardView = 138
	olClassCalendarView = 139
	olClassTimeLineView = 140
	olViewFields = 141
	olViewField = 142
	olOrderField = 144
	olOrderFields = 145
	olViewFont = 146
	olAutoFormatRule = 147
	olAutoFormatRules = 148
	olColumnFormat = 149
	olColumns = 150
	olCalendarSharing = 151
	olCategory = 152
	olCategories = 153
	olColumn = 154
	olClassNavigationPane = 155
	olNavigationModules = 156
	olNavigationModule = 157
	olMailModule = 158
	olCalendarModule = 159
	olContactsModule = 160
	olTasksModule = 161
	olJournalModule = 162
	olNotesModule = 163
	olNavigationGroups = 164
	olNavigationGroup = 165
	olNavigationFolders = 166
	olNavigationFolder = 167
	olClassBusinessCardView = 168
	olAttachmentSelection = 169
	olAddressRuleCondition = 170
	olUserDefinedProperty = 171
	olUserDefinedProperties = 172
	olFromRssFeedRuleCondition = 173
	olClassTimeZone = 174
	olClassTimeZones = 175
	olMobile = 176
	olSolutionsModule = 177
	olConversation = 178
	olSimpleItems = 179
	olOutspace = 180
	olMeetingForwardNotification = 181
	olConversationHeader = 182
	olClassPeopleView = 183
End Enum

Public Enum OlDisplayType
	olUser = 0
	olDistList = 1
	olForum = 2
	olAgent = 3
	olOrganization = 4
	olPrivateDistList = 5
	olRemoteUser = 6
End Enum

Public Enum OlActionCopyLike
	olReply = 0
	olReplyAll = 1
	olForward = 2
	olReplyFolder = 3
	olRespond = 4
End Enum

Public Enum OlActionReplyStyle
	olOmitOriginalText = 0
	olEmbedOriginalItem = 1
	olIncludeOriginalText = 2
	olIndentOriginalText = 3
	olLinkOriginalItem = 4
	olUserPreference = 5
	olReplyTickOriginalText = 1000
End Enum

Public Enum OlActionResponseStyle
	olOpen = 0
	olSend = 1
	olPrompt = 2
End Enum

Public Enum OlActionShowOn
	olDontShow = 0
	olMenu = 1
	olMenuAndToolbar = 2
End Enum

Public Enum OlAttachmentType
	olByValue = 1
	olByReference = 4
	olEmbeddeditem = 5
	olOLE = 6
End Enum

Public Enum OlAttachmentBlockLevel
	olAttachmentBlockLevelNone = 0
	olAttachmentBlockLevelOpen = 1
End Enum

Public Enum OlFormRegistry
	olDefaultRegistry = 0
	olPersonalRegistry = 2
	olFolderRegistry = 3
	olOrganizationRegistry = 4
End Enum

Public Enum OlEditorType
	olEditorText = 1
	olEditorHTML = 2
	olEditorRTF = 3
	olEditorWord = 4
End Enum

Public Enum OlInspectorClose
	olSave = 0
	olDiscard = 1
	olPromptForSave = 2
End Enum

Public Enum OlWindowState
	olMaximized = 0
	olMinimized = 1
	olNormalWindow = 2
End Enum

Public Enum OlSelectionLocation
	olViewList = 0
	olToDoBarTaskList = 1
	olToDoBarAppointmentList = 2
	olDailyTaskList = 3
	olAttachmentWell = 4
End Enum

Public Enum OlSelectionContents
	olConversationHeaders = 1
End Enum

Public Enum OlImportance
	olImportanceLow = 0
	olImportanceNormal = 1
	olImportanceHigh = 2
End Enum

Public Enum OlSensitivity
	olNormal = 0
	olPersonal = 1
	olPrivate = 2
	olConfidential = 3
End Enum

Public Enum OlUserPropertyType
	olOutlookInternal = 0
	olText = 1
	olNumber = 3
	olDateTime = 5
	olYesNo = 6
	olDuration = 7
	olKeywords = 11
	olPercent = 12
	olCurrency = 14
	olFormula = 18
	olCombination = 19
	olInteger = 20
	olEnumeration = 21
	olSmartFrom = 22
End Enum

Public Enum OlItemType
	olMailItem = 0
	olAppointmentItem = 1
	olContactItem = 2
	olTaskItem = 3
	olJournalItem = 4
	olNoteItem = 5
	olPostItem = 6
	olDistributionListItem = 7
	olMobileItemSMS = 11
	olMobileItemMMS = 12
End Enum

Public Enum OlPane
	olOutlookBar = 1
	olFolderList = 2
	olPreview = 3
	olNavigationPane = 4
	olToDoBar = 5
End Enum

Public Enum OlNavigationModuleType
	olModuleMail = 0
	olModuleCalendar = 1
	olModuleContacts = 2
	olModuleTasks = 3
	olModuleJournal = 4
	olModuleNotes = 5
	olModuleFolderList = 6
	olModuleShortcuts = 7
	olModuleSolutions = 8
End Enum

Public Enum OlSearchScope
	olSearchScopeCurrentFolder = 0
	olSearchScopeAllFolders = 1
	olSearchScopeAllOutlookItems = 2
	olSearchScopeSubfolders = 3
	olSearchScopeCurrentStore = 4
End Enum

Public Enum OlAccountType
	olExchange = 0
	olImap = 1
	olPop3 = 2
	olHttp = 3
	olEas = 4
	olOtherAccount = 5
End Enum

Public Enum OlAutoDiscoverConnectionMode
	olAutoDiscoverConnectionUnknown = 0
	olAutoDiscoverConnectionExternal = 1
	olAutoDiscoverConnectionInternal = 2
	olAutoDiscoverConnectionInternalDomain = 3
End Enum

Public Enum OlExchangeStoreType
	olPrimaryExchangeMailbox = 0
	olExchangeMailbox = 1
	olExchangePublicFolder = 2
	olNotExchange = 3
	olAdditionalExchangeMailbox = 4
End Enum

Public Enum OlRuleType
	olRuleReceive = 0
	olRuleSend = 1
End Enum

Public Enum OlRuleActionType
	olRuleActionUnknown = 0
	olRuleActionMoveToFolder = 1
	olRuleActionAssignToCategory = 2
	olRuleActionDelete = 3
	olRuleActionDeletePermanently = 4
	olRuleActionCopyToFolder = 5
	olRuleActionForward = 6
	olRuleActionForwardAsAttachment = 7
	olRuleActionRedirect = 8
	olRuleActionServerReply = 9
	olRuleActionTemplate = 10
	olRuleActionFlagForActionInDays = 11
	olRuleActionFlagColor = 12
	olRuleActionFlagClear = 13
	olRuleActionImportance = 14
	olRuleActionSensitivity = 15
	olRuleActionPrint = 16
	olRuleActionPlaySound = 17
	olRuleActionStartApplication = 18
	olRuleActionMarkRead = 19
	olRuleActionRunScript = 20
	olRuleActionStop = 21
	olRuleActionCustomAction = 22
	olRuleActionNewItemAlert = 23
	olRuleActionDesktopAlert = 24
	olRuleActionNotifyRead = 25
	olRuleActionNotifyDelivery = 26
	olRuleActionCcMessage = 27
	olRuleActionDefer = 28
	olRuleActionMarkAsTask = 29
	olRuleActionClearCategories = 30
End Enum

Public Enum OlMarkInterval
	olMarkToday = 0
	olMarkTomorrow = 1
	olMarkThisWeek = 2
	olMarkNextWeek = 3
	olMarkNoDate = 4
	olMarkComplete = 5
End Enum

Public Enum OlRuleConditionType
	olConditionUnknown = 0
	olConditionFrom = 1
	olConditionSubject = 2
	olConditionAccount = 3
	olConditionOnlyToMe = 4
	olConditionTo = 5
	olConditionImportance = 6
	olConditionSensitivity = 7
	olConditionFlaggedForAction = 8
	olConditionCc = 9
	olConditionToOrCc = 10
	olConditionNotTo = 11
	olConditionSentTo = 12
	olConditionBody = 13
	olConditionBodyOrSubject = 14
	olConditionMessageHeader = 15
	olConditionRecipientAddress = 16
	olConditionSenderAddress = 17
	olConditionCategory = 18
	olConditionOOF = 19
	olConditionHasAttachment = 20
	olConditionSizeRange = 21
	olConditionDateRange = 22
	olConditionFormName = 23
	olConditionProperty = 24
	olConditionSenderInAddressBook = 25
	olConditionMeetingInviteOrUpdate = 26
	olConditionLocalMachineOnly = 27
	olConditionOtherMachine = 28
	olConditionAnyCategory = 29
	olConditionFromRssFeed = 30
	olConditionFromAnyRssFeed = 31
End Enum

Public Enum OlAddressListType
	olExchangeGlobalAddressList = 0
	olExchangeContainer = 1
	olOutlookAddressList = 2
	olOutlookLdapAddressList = 3
	olCustomAddressList = 4
End Enum

Public Enum OlSpecialFolders
	olSpecialFolderAllTasks = 0
	olSpecialFolderReminders = 1
End Enum

Public Enum OlDefaultFolders
	olFolderDeletedItems = 3
	olFolderOutbox = 4
	olFolderSentMail = 5
	olFolderInbox = 6
	olFolderCalendar = 9
	olFolderContacts = 10
	olFolderJournal = 11
	olFolderNotes = 12
	olFolderTasks = 13
	olFolderDrafts = 16
	olPublicFoldersAllPublicFolders = 18
	olFolderConflicts = 19
	olFolderSyncIssues = 20
	olFolderLocalFailures = 21
	olFolderServerFailures = 22
	olFolderJunk = 23
	olFolderRssFeeds = 25
	olFolderToDo = 28
	olFolderManagedEmail = 29
	olFolderSuggestedContacts = 30
End Enum

Public Enum OlCategoryColor
	olCategoryColorNone = 0
	olCategoryColorRed = 1
	olCategoryColorOrange = 2
	olCategoryColorPeach = 3
	olCategoryColorYellow = 4
	olCategoryColorGreen = 5
	olCategoryColorTeal = 6
	olCategoryColorOlive = 7
	olCategoryColorBlue = 8
	olCategoryColorPurple = 9
	olCategoryColorMaroon = 10
	olCategoryColorSteel = 11
	olCategoryColorDarkSteel = 12
	olCategoryColorGray = 13
	olCategoryColorDarkGray = 14
	olCategoryColorBlack = 15
	olCategoryColorDarkRed = 16
	olCategoryColorDarkOrange = 17
	olCategoryColorDarkPeach = 18
	olCategoryColorDarkYellow = 19
	olCategoryColorDarkGreen = 20
	olCategoryColorDarkTeal = 21
	olCategoryColorDarkOlive = 22
	olCategoryColorDarkBlue = 23
	olCategoryColorDarkPurple = 24
	olCategoryColorDarkMaroon = 25
End Enum

Public Enum OlCategoryShortcutKey
	olCategoryShortcutKeyNone = 0
	olCategoryShortcutKeyCtrlF2 = 1
	olCategoryShortcutKeyCtrlF3 = 2
	olCategoryShortcutKeyCtrlF4 = 3
	olCategoryShortcutKeyCtrlF5 = 4
	olCategoryShortcutKeyCtrlF6 = 5
	olCategoryShortcutKeyCtrlF7 = 6
	olCategoryShortcutKeyCtrlF8 = 7
	olCategoryShortcutKeyCtrlF9 = 8
	olCategoryShortcutKeyCtrlF10 = 9
	olCategoryShortcutKeyCtrlF11 = 10
	olCategoryShortcutKeyCtrlF12 = 11
End Enum

Public Enum OlExchangeConnectionMode
	olNoExchange = 0
	olOffline = 100
	olCachedOffline = 200
	olDisconnected = 300
	olCachedDisconnected = 400
	olCachedConnectedHeaders = 500
	olCachedConnectedDrizzle = 600
	olCachedConnectedFull = 700
	olOnline = 800
End Enum

Public Enum OlViewSaveOption
	olViewSaveOptionThisFolderEveryone = 0
	olViewSaveOptionThisFolderOnlyMe = 1
	olViewSaveOptionAllFoldersOfType = 2
End Enum

Public Enum OlViewType
	olTableView = 0
	olCardView = 1
	olCalendarView = 2
	olIconView = 3
	olTimelineView = 4
	olBusinessCardView = 5
	olDailyTaskListView = 6
	olPeopleView = 7
End Enum

Public Enum OlShowItemCount
	olNoItemCount = 0
	olShowUnreadItemCount = 1
	olShowTotalItemCount = 2
End Enum

Public Enum OlStorageIdentifierType
	olIdentifyBySubject = 0
	olIdentifyByEntryID = 1
	olIdentifyByMessageClass = 2
End Enum

Public Enum OlCalendarMailFormat
	olCalendarMailFormatDailySchedule = 0
	olCalendarMailFormatEventList = 1
End Enum

Public Enum OlFlagStatus
	olNoFlag = 0
	olFlagComplete = 1
	olFlagMarked = 2
End Enum

Public Enum OlRemoteStatus
	olRemoteStatusNone = 0
	olUnMarked = 1
	olMarkedForDownload = 2
	olMarkedForCopy = 3
	olMarkedForDelete = 4
End Enum

Public Enum OlBodyFormat
	olFormatUnspecified = 0
	olFormatPlain = 1
	olFormatHTML = 2
	olFormatRichText = 3
End Enum

Public Enum OlDownloadState
	olHeaderOnly = 0
	olFullItem = 1
End Enum

Public Enum OlFlagIcon
	olNoFlagIcon = 0
	olPurpleFlagIcon = 1
	olOrangeFlagIcon = 2
	olGreenFlagIcon = 3
	olYellowFlagIcon = 4
	olBlueFlagIcon = 5
	olRedFlagIcon = 6
End Enum

Public Enum OlPermission
	olUnrestricted = 0
	olDoNotForward = 1
	olPermissionTemplate = 2
End Enum

Public Enum OlPermissionService
	olUnknown = 0
	olWindows = 1
	olPassport = 2
End Enum

Public Enum OlAlwaysDeleteConversation
	olDoNotDelete = 0
	olAlwaysDelete = 1
	olAlwaysDeleteUnsupported = 2
End Enum

Public Enum OlCalendarDetail
	olFreeBusyOnly = 0
	olFreeBusyAndSubject = 1
	olFullDetails = 2
End Enum

Public Enum OlGender
	olUnspecified = 0
	olFemale = 1
	olMale = 2
End Enum

Public Enum OlMailingAddress
	olNone = 0
	olHome = 1
	olBusiness = 2
	olOther = 3
End Enum

Public Enum OlContactPhoneNumber
	olContactPhoneAssistant = 0
	olContactPhoneBusiness = 1
	olContactPhoneBusiness2 = 2
	olContactPhoneBusinessFax = 3
	olContactPhoneCallback = 4
	olContactPhoneCar = 5
	olContactPhoneCompany = 6
	olContactPhoneHome = 7
	olContactPhoneHome2 = 8
	olContactPhoneHomeFax = 9
	olContactPhoneISDN = 10
	olContactPhoneMobile = 11
	olContactPhoneOther = 12
	olContactPhoneOtherFax = 13
	olContactPhonePager = 14
	olContactPhonePrimary = 15
	olContactPhoneRadio = 16
	olContactPhoneTelex = 17
	olContactPhoneTTYTTD = 18
End Enum

Public Enum OlBusinessCardType
	olBusinessCardTypeOutlook = 0
	olBusinessCardTypeInterConnect = 1
End Enum

Public Enum OlAddressEntryUserType
	olExchangeUserAddressEntry = 0
	olExchangeDistributionListAddressEntry = 1
	olExchangePublicFolderAddressEntry = 2
	olExchangeAgentAddressEntry = 3
	olExchangeOrganizationAddressEntry = 4
	olExchangeRemoteUserAddressEntry = 5
	olOutlookContactAddressEntry = 10
	olOutlookDistributionListAddressEntry = 11
	olLdapAddressEntry = 20
	olSmtpAddressEntry = 30
	olOtherAddressEntry = 40
End Enum

Public Enum OlResponseStatus
	olResponseNone = 0
	olResponseOrganized = 1
	olResponseTentative = 2
	olResponseAccepted = 3
	olResponseDeclined = 4
	olResponseNotResponded = 5
End Enum

Public Enum OlTrackingStatus
	olTrackingNone = 0
	olTrackingDelivered = 1
	olTrackingNotDelivered = 2
	olTrackingNotRead = 3
	olTrackingRecallFailure = 4
	olTrackingRecallSuccess = 5
	olTrackingRead = 6
	olTrackingReplied = 7
End Enum

Public Enum OlSyncState
	olSyncStopped = 0
	olSyncStarted = 1
End Enum

Public Enum OlStoreType
	olStoreDefault = 1
	olStoreUnicode = 2
	olStoreANSI = 3
End Enum

Public Enum OlRecipientSelectors
	olShowNone = 0
	olShowTo = 1
	olShowToCc = 2
	olShowToCcBcc = 3
End Enum

Public Enum OlDefaultSelectNamesDisplayMode
	olDefaultMail = 1
	olDefaultMeeting = 2
	olDefaultSharingRequest = 4
	olDefaultTask = 3
	olDefaultMembers = 5
	olDefaultDelegates = 6
	olDefaultSingleName = 7
	olDefaultPickRooms = 8
End Enum

Public Enum OlSharingProvider
	olProviderUnknown = 0
	olProviderExchange = 1
	olProviderWebCal = 2
	olProviderPubCal = 3
	olProviderICal = 4
	olProviderSharePoint = 5
	olProviderRSS = 6
	olProviderFederate = 7
End Enum

Public Enum OlSharingMsgType
	olSharingMsgTypeUnknown = 0
	olSharingMsgTypeRequest = 1
	olSharingMsgTypeInvite = 2
	olSharingMsgTypeInviteAndRequest = 3
	olSharingMsgTypeResponseAllow = 4
	olSharingMsgTypeResponseDeny = 5
End Enum

Public Enum OlFolderDisplayMode
	olFolderDisplayNormal = 0
	olFolderDisplayFolderOnly = 1
	olFolderDisplayNoNavigation = 2
End Enum

Public Enum OlReferenceType
	olWeak = 0
	olStrong = 1
End Enum

Public Enum OlBusyStatus
	olFree = 0
	olTentative = 1
	olBusy = 2
	olOutOfOffice = 3
	olWorkingElsewhere = 4
End Enum

Public Enum OlDaysOfWeek
	olSunday = 1
	olMonday = 2
	olTuesday = 4
	olWednesday = 8
	olThursday = 16
	olFriday = 32
	olSaturday = 64
End Enum

Public Enum OlJournalRecipientType
	olAssociatedContact = 1
End Enum

Public Enum OlMailRecipientType
	olOriginator = 0
	olTo = 1
	olCC = 2
	olBCC = 3
End Enum

Public Enum OlMeetingRecipientType
	olOrganizer = 0
	olRequired = 1
	olOptional = 2
	olResource = 3
End Enum

Public Enum OlMeetingResponse
	olMeetingTentative = 2
	olMeetingAccepted = 3
	olMeetingDeclined = 4
End Enum

Public Enum OlMeetingStatus
	olNonMeeting = 0
	olMeeting = 1
	olMeetingReceived = 3
	olMeetingCanceled = 5
	olMeetingReceivedAndCanceled = 7
End Enum

Public Enum OlNetMeetingType
	olNetMeeting = 0
	olNetShow = 1
	olExchangeConferencing = 2
End Enum

Public Enum OlNoteColor
	olBlue = 0
	olGreen = 1
	olPink = 2
	olYellow = 3
	olWhite = 4
End Enum

Public Enum OlOutlookBarViewType
	olLargeIcon = 0
	olSmallIcon = 1
End Enum

Public Enum OlRecurrenceState
	olApptNotRecurring = 0
	olApptMaster = 1
	olApptOccurrence = 2
	olApptException = 3
End Enum

Public Enum OlRecurrenceType
	olRecursDaily = 0
	olRecursWeekly = 1
	olRecursMonthly = 2
	olRecursMonthNth = 3
	olRecursYearly = 5
	olRecursYearNth = 6
End Enum

Public Enum OlSaveAsType
	olTXT = 0
	olRTF = 1
	olTemplate = 2
	olMSG = 3
	olDoc = 4
	olHTML = 5
	olVCard = 6
	olVCal = 7
	olICal = 8
	olMSGUnicode = 9
	olMHTML = 10
End Enum

Public Enum OlSortOrder
	olSortNone = 0
	olAscending = 1
	olDescending = 2
End Enum

Public Enum OlTaskDelegationState
	olTaskNotDelegated = 0
	olTaskDelegationUnknown = 1
	olTaskDelegationAccepted = 2
	olTaskDelegationDeclined = 3
End Enum

Public Enum OlTaskOwnership
	olNewTask = 0
	olDelegatedTask = 1
	olOwnTask = 2
End Enum

Public Enum OlTaskRecipientType
	olUpdate = 2
	olFinalStatus = 3
End Enum

Public Enum OlTaskResponse
	olTaskSimple = 0
	olTaskAssign = 1
	olTaskAccept = 2
	olTaskDecline = 3
End Enum

Public Enum OlTaskStatus
	olTaskNotStarted = 0
	olTaskInProgress = 1
	olTaskComplete = 2
	olTaskWaiting = 3
	olTaskDeferred = 4
End Enum

Public Enum OlOfficeDocItemsType
	olExcelWorkSheetItem = 8
	olWordDocumentItem = 9
	olPowerPointShowItem = 10
End Enum

Public Enum OlFormRegionMode
	olFormRegionRead = 0
	olFormRegionCompose = 1
	olFormRegionPreview = 2
End Enum

Public Enum OlFormRegionSize
	olFormRegionTypeSeparate = 0
	olFormRegionTypeAdjoining = 1
End Enum

Public Enum OlRuleExecuteOption
	olRuleExecuteAllMessages = 0
	olRuleExecuteReadMessages = 1
	olRuleExecuteUnreadMessages = 2
End Enum

Public Enum OlDefaultExpandCollapseSetting
	olAllExpanded = 0
	olAllCollapsed = 1
	olLastViewed = 2
End Enum

Public Enum OlMultiLine
	olWidthMultiLine = 0
	olAlwaysSingleLine = 1
	olAlwaysMultiLine = 2
End Enum

Public Enum OlGridLineStyle
	olGridLineNone = 0
	olGridLineSmallDots = 1
	olGridLineLargeDots = 2
	olGridLineDashes = 3
	olGridLineSolid = 4
End Enum

Public Enum OlIconViewType
	olIconViewLarge = 0
	olIconViewSmall = 1
	olIconViewList = 2
End Enum

Public Enum OlIconViewPlacement
	olIconDoNotArrange = 0
	olIconLineUp = 1
	olIconAutoArrange = 2
	olIconSortAndAutoArrange = 3
End Enum

Public Enum OlCalendarViewMode
	olCalendarViewDay = 0
	olCalendarViewWeek = 1
	olCalendarViewMonth = 2
	olCalendarViewMultiDay = 3
	olCalendarView5DayWeek = 4
End Enum

Public Enum OlDayWeekTimeScale
	olTimeScale5Minutes = 0
	olTimeScale6Minutes = 1
	olTimeScale10Minutes = 2
	olTimeScale15Minutes = 3
	olTimeScale30Minutes = 4
	olTimeScale60Minutes = 5
End Enum

Public Enum OlTimelineViewMode
	olTimelineViewDay = 0
	olTimelineViewWeek = 1
	olTimelineViewMonth = 2
End Enum

Public Enum OlAutoPreview
	olAutoPreviewAll = 0
	olAutoPreviewUnread = 1
	olAutoPreviewNone = 2
End Enum

Public Enum OlColor
	olAutoColor = 0
	olColorBlack = 1
	olColorMaroon = 2
	olColorGreen = 3
	olColorOlive = 4
	olColorNavy = 5
	olColorPurple = 6
	olColorTeal = 7
	olColorGray = 8
	olColorSilver = 9
	olColorRed = 10
	olColorLime = 11
	olColorYellow = 12
	olColorBlue = 13
	olColorFuchsia = 14
	olColorAqua = 15
	olColorWhite = 16
End Enum

Public Enum OlAlign
	olAlignLeft = 0
	olAlignCenter = 1
	olAlignRight = 2
End Enum

Public Enum OlFormatCurrency
	olFormatCurrencyDecimal = 1
	olFormatCurrencyNonDecimal = 2
End Enum

Public Enum OlFormatDateTime
	olFormatDateTimeLongDayDateTime = 1
	olFormatDateTimeShortDateTime = 2
	olFormatDateTimeShortDayDateTime = 3
	olFormatDateTimeShortDayMonthDateTime = 4
	OlFormatDateTimeLongDayDate = 5
	olFormatDateTimeLongDate = 6
	olFormatDateTimeLongDateReversed = 7
	olFormatDateTimeShortDate = 8
	olFormatDateTimeShortDateNumOnly = 9
	olFormatDateTimeShortDayMonth = 10
	olFormatDateTimeShortMonthYear = 11
	olFormatDateTimeShortMonthYearNumOnly = 12
	olFormatDateTimeShortDayDate = 13
	olFormatDateTimeLongTime = 15
	olFormatDateTimeShortTime = 16
	olFormatDateTimeBestFit = 17
End Enum

Public Enum OlFormatDuration
	olFormatDurationShort = 1
	olFormatDurationLong = 2
	olFormatDurationShortBusiness = 3
	olFormatDurationLongBusiness = 4
End Enum

Public Enum OlFormatInteger
	olFormatIntegerPlain = 1
	olFormatIntegerComputer1 = 2
	olFormatIntegerComputer2 = 3
	olFormatIntegerComputer3 = 4
End Enum

Public Enum OlFormatKeywords
	olFormatKeywordsText = 1
End Enum

Public Enum OlFormatNumber
	olFormatNumberAllDigits = 1
	olFormatNumberTruncated = 2
	olFormatNumber1Decimal = 3
	olFormatNumber2Decimal = 4
	olFormatNumberScientific = 5
	olFormatNumberComputer1 = 6
	olFormatNumberComputer2 = 7
	olFormatNumberComputer3 = 8
	olFormatNumberRaw = 9
End Enum

Public Enum OlFormatPercent
	olFormatPercentRounded = 1
	olFormatPercent1Decimal = 2
	olFormatPercent2Decimal = 3
	olFormatPercentAllDigits = 4
End Enum

Public Enum OlFormatYesNo
	olFormatYesNoYesNo = 1
	olFormatYesNoOnOff = 2
	olFormatYesNoTrueFalse = 3
	olFormatYesNoIcon = 4
End Enum

Public Enum OlFormatEnumeration
	olFormatEnumBitmap = 1
	olFormatEnumText = 2
End Enum

Public Enum OlFormatSmartFrom
	olFormatSmartFromFromTo = 1
	olFormatSmartFromFromOnly = 2
End Enum

Public Enum OlContextMenu
	olItemContextMenu = 0
	olViewContextMenu = 1
	olFolderContextMenu = 2
	olAttachmentContextMenu = 3
	olStoreContextMenu = 4
	olShortcutContextMenu = 5
End Enum

Public Enum OlFormatText
	olFormatTextText = 1
End Enum

Public Enum OlGroupType
	olCustomFoldersGroup = 0
	olMyFoldersGroup = 1
	olPeopleFoldersGroup = 2
	olOtherFoldersGroup = 3
	olFavoriteFoldersGroup = 4
	olRoomsGroup = 5
	olReadOnlyGroup = 6
End Enum

Public Enum OlTableContents
	olUserItems = 0
	olHiddenItems = 1
End Enum

Public Enum OlFormRegionIcon
	olFormRegionIconDefault = 1
	olFormRegionIconUnread = 2
	olFormRegionIconRead = 3
	olFormRegionIconReplied = 4
	olFormRegionIconForwarded = 5
	olFormRegionIconUnsent = 6
	olFormRegionIconSubmitted = 7
	olFormRegionIconSigned = 8
	olFormRegionIconEncrypted = 9
	olFormRegionIconWindow = 10
	olFormRegionIconPage = 11
	olFormRegionIconRecurring = 12
End Enum

Public Enum OlSolutionScope
	olHideInDefaultModules = 0
	olShowInDefaultModules = 1
End Enum

Public Enum OlMobileFormat
	olSMS = 0
	olMMS = 1
End Enum

Public Enum OlAppointmentCopyOptions
	olPromptUser = 0
	olCreateAppointment = 1
	olCopyAsAccept = 2
End Enum

' **********************************************************************************************************
' Module:      	modMSOutlook15_Enums
' Author:      	Philipp Stiefel (phil@codekabinett.com)
' Purpose:     	Enums/Constants for Outlook Automation with Late Binding
' Further info: English: 		http://codekabinett.com/page.php?Theme=10&Lang=2#outlook-automation-constants-vba-module
' 				German/Deutsch:	http://codekabinett.com/page.php?Theme=10&Lang=1#outlook-automation-konstanten-vba-modul
' Usage rights: You are free to use this module in any of your applications free of charge, 
'				as long as this notice remains unchanged.
' **********************************************************************************************************